Skip to main content
GET
/
v2
/
occupation_groups
List occupation groups
curl --request GET \
  --url https://{region}.affinda.com/v2/occupation_groups \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{region}.affinda.com/v2/occupation_groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{region}.affinda.com/v2/occupation_groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
  {
    "code": 1,
    "name": "<string>",
    "children": "<array>",
    "parents": "<array>"
  }
]
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Response

Will return matching documents

code
integer
required
Required range: x >= 0
name
string
required
children
array
required
parents
array